Bug 712272 - (ghc-unix-compat) Review Request: ghc-unix-compat - A portable POSIX-compatibility layer for Haskell
Review Request: ghc-unix-compat - A portable POSIX-compatibility layer for Ha...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: yesod yi ghc-snap-core
  Show dependency treegraph
 
Reported: 2011-06-10 00:28 EDT by Narasimhan
Modified: 2011-09-30 14:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-unix-compat-0.2.1.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-18 10:07:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2011-06-10 00:28:12 EDT
Spec file : http://narasim.fedorapeople.org/package_reviews/ghc-unix-compat.spec

SRPM file : http://narasim.fedorapeople.org/package_reviews/ghc-unix-compat-0.2.1.3-1.fc14.src.rpm

Koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3122645

rpmlint output:

ghc-unix-compat-prof.i686: E: devel-dependency ghc-unix-compat-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-unix-compat-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-unix-compat-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-7.0.2/unix-compat-0.2.1.3/libHSunix-compat-0.2.1.3_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.

Required for yi.
Comment 1 Jens Petersen 2011-08-11 05:54:12 EDT
I'd like to review this.
Lakshmi, do you have time to update it?
Comment 2 Narasimhan 2011-08-12 11:10:55 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=3268684

rpmlint  -i ~/rpmbuild/RPMS/x86_64/ghc-unix-compat-devel-0.2.2.1-1.fc15.x86_64.rpm ~/rpmbuild/RPMS/x86_64/ghc-unix-compat-0.2.2.1-1.fc15.x86_64.rpm ~/rpmbuild/SRPMS/ghc-unix-compat-0.2.2.1-1.fc15.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Spec file
http://narasim.fedorapeople.org/package_reviews/ghc-unix-compat.spec

SRPM link:
http://narasim.fedorapeople.org/package_reviews/ghc-unix-compat-0.2.2.1-1.fc15.src.rpm
Comment 3 Jens Petersen 2011-09-07 05:47:26 EDT
Note that 0.3 is available but better to wait to upgrade
since it will break current snap, yesod and yi.
http://packdeps.haskellers.com/reverse/unix-compat

Here is the review:

 +:ok, NA: not applicable

MUST Items:
[+] MUST: rpmlint output

rpmlint is clean

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

24e9b96aa702b3d28e1c5edb5f0160a7  unix-compat-0.2.2.1.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch
[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

Package is APPROVED.
Comment 4 Narasimhan 2011-09-08 01:19:16 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-unix-compat
Short Description:  A portable POSIX-compatibility layer for Haskell
Owners: narasim
Branches: f14 f15 f16
InitialCC: haskell-sig
Comment 5 Jon Ciesla 2011-09-09 08:22:20 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-09-10 01:19:14 EDT
ghc-unix-compat-0.2.1.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-unix-compat-0.2.1.3-1.fc16
Comment 7 Fedora Update System 2011-09-10 01:19:23 EDT
ghc-unix-compat-0.2.1.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-unix-compat-0.2.1.3-1.fc15
Comment 8 Fedora Update System 2011-09-10 01:19:32 EDT
ghc-unix-compat-0.2.1.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-unix-compat-0.2.1.3-1.fc14
Comment 9 Fedora Update System 2011-09-10 14:59:37 EDT
ghc-unix-compat-0.2.1.3-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 10 Fedora Update System 2011-09-18 18:58:35 EDT
ghc-unix-compat-0.2.1.3-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2011-09-18 19:00:59 EDT
ghc-unix-compat-0.2.1.3-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 12 Fedora Update System 2011-09-30 14:51:43 EDT
ghc-unix-compat-0.2.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.